{
  "name": "red-ui",
  "$schema": "../../node_modules/nx/schemas/project-schema.json",
  "projectType": "application",
  "generators": {
    "@schematics/angular:component": {
      "style": "scss",
      "skipTests": true
    },
    "@schematics/angular:class": {
      "skipTests": true
    },
    "@schematics/angular:directive": {
      "skipTests": true
    },
    "@schematics/angular:guard": {
      "skipTests": true
    },
    "@schematics/angular:pipe": {
      "skipTests": true
    },
    "@schematics/angular:service": {
      "skipTests": true
    }
  },
  "sourceRoot": "apps/red-ui/src",
  "prefix": "redaction",
  "targets": {
    "build": {
      "executor": "@angular-devkit/build-angular:browser",
      "options": {
        "outputPath": "dist/apps/red-ui",
        "index": "apps/red-ui/src/index.html",
        "main": "apps/red-ui/src/main.ts",
        "polyfills": "apps/red-ui/src/polyfills.ts",
        "tsConfig": "apps/red-ui/tsconfig.json",
        "baseHref": "/ui/",
        "assets": [
          "apps/red-ui/src/favicon.ico",
          {
            "glob": "**/*",
            "input": "node_modules/@pdftron/webviewer/public/",
            "output": "/assets/wv-resources/"
          },
          {
            "glob": "**/*",
            "input": "apps/red-ui/src/assets/",
            "output": "/assets/"
          },
          {
            "glob": "**/*",
            "input": "libs/common-ui/src/assets/",
            "output": "/assets/"
          },
          {
            "glob": "**/*",
            "input": "node_modules/monaco-editor",
            "output": "/assets/monaco-editor/"
          },
          "apps/red-ui/src/manifest.webmanifest"
        ],
        "styles": ["apps/red-ui/src/styles.scss", "libs/common-ui/src/assets/styles/common-styles.scss"],
        "stylePreprocessorOptions": {
          "includePaths": ["./apps/red-ui/src/assets/styles", "./libs/common-ui/src/assets/styles"]
        },
        "scripts": ["node_modules/@pdftron/webviewer/webviewer.min.js", "node_modules/chart.js/dist/chart.js"],
        "vendorChunk": true,
        "extractLicenses": false,
        "buildOptimizer": false,
        "sourceMap": true,
        "optimization": false,
        "namedChunks": true
      },
      "configurations": {
        "production": {
          "fileReplacements": [
            {
              "replace": "apps/red-ui/src/environments/environment.ts",
              "with": "apps/red-ui/src/environments/environment.prod.ts"
            }
          ],
          "optimization": {
            "scripts": true,
            "styles": {
              "minify": true,
              "inlineCritical": false
            },
            "fonts": true
          },
          "outputHashing": "all",
          "sourceMap": false,
          "namedChunks": false,
          "extractLicenses": true,
          "vendorChunk": false,
          "buildOptimizer": true,
          "budgets": [
            {
              "type": "initial",
              "maximumWarning": "2mb",
              "maximumError": "5mb"
            },
            {
              "type": "anyComponentStyle",
              "maximumWarning": "6kb",
              "maximumError": "20kb"
            }
          ],
          "serviceWorker": true,
          "ngswConfigPath": "apps/red-ui/ngsw-config.json"
        }
      },
      "outputs": ["{options.outputPath}"]
    },
    "serve": {
      "executor": "@angular-devkit/build-angular:dev-server",
      "options": {
        "browserTarget": "red-ui:build"
      },
      "configurations": {
        "production": {
          "browserTarget": "red-ui:build:production"
        }
      }
    },
    "extract-i18n": {
      "executor": "@angular-devkit/build-angular:extract-i18n",
      "options": {
        "browserTarget": "red-ui:build"
      }
    }
  }
}
